
import random

class Player:
    ''''''

    def __init__(self):
        ''''''

        self.ingredients = None
        self.potion = None

    def grab_ingredients(self,p_type):
        '''Takes some ingredients in one's hand: returns whether successful'''
        if self.potion == None and self.ingredients == None:
            self.ingredients = p_type
            return True
        elif self.ingredients != None:
            self.ingredients = None
            return False
        else:
            return False

    def grab_potion(self,p_type):
        '''Takes a potion in one's hand: returns whether successful'''
        if self.ingredients == None and self.potion == None:
            self.potion = p_type
            return True
        else:
            return False


class Game:

    def __init__(self):
        ''''''
        self.score = 0
        self.day = 1
        self.turns = 0
        self.chance_of_potion = [0.006,0.008,0.010,0.012,0.014,0.016,0.018,0.020,0.022]
        self.requests = 0
        self.player = Player()

    def spawn_potion(self):
        '''returns the type of spawned potion, or None'''

        if random.random() < self.chance_of_potion[self.day - 1]:
            p_type = random.randint(0,2)

            self.requests += 1
            return p_type
        else:
            return None

    def new_day(self):
        ''''''
        print "New day!", self.day
        self.day += 1
        self.requests = 0
        self.turns = 0
        self.player.potion = None
        self.player.ingredients = None



